# Upload Document To Application

Upload documents to the application for more detailed KYC or manual review.
As with all other endpoints, the bearer token and `x-jiko-idempotency` is needed, but `x-jiko-signature` is not needed.
The file should be posted unprocessed in the request body, in the same manner as `curl -X POST --data-binary @my_file.png` does.
The maximum file size for `ID_FRONT`, `ID_BACK`, `SELFIE` and `PASSPORT` is 5 MB. Other files can be up to 50 MB.
Documents can be uploaded before and after calling [Apply](/products/partner-api/reference/individuals/apply_api_v1_applications__application_id__apply__post).

Endpoint: POST /api/v1/applications/{application_id}/documents/{document_type}/file/
Version: Version: 8adbbb13
Security: HTTPBearer

## Security:

  - `HTTPBearer` (unknown)
    http bearer

## Path parameters:

  - `application_id` (string, required)

  - `document_type` (string, required)

## Header parameters:

  - `content-type` (string, required)

  - `content-length` (integer, required)

  - `x-jiko-idempotency` (string, required)

## Response 200:

  - `200` (unknown)
    Successful Response

## Response 200 fields (application/json):

  - `success` (boolean, required)

  - `document_id` (string, required)

## Response 404:

  - `404` (unknown)
    Not found

## Response 422:

  - `422` (unknown)
    Validation Error

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `detail.input` (any)

  - `detail.ctx` (object)

